Subject: [PATCH v3 00/20] arm64: Unmap the kernel whilst running in userspace (KPTI)

From: [email-masked] (Greg Kroah-Hartman)
Date: Fri, 5 Jan 2018 17:06:17 +0100

On Thu, Jan 04, 2018 at 10:23:40AM -0800, Florian Fainelli wrote:
> On 01/03/2018 10:50 PM, Greg Kroah-Hartman wrote:
> > On Wed, Jan 03, 2018 at 09:17:26PM -0800, Florian Fainelli wrote:
> >> On 12/11/2017 09:59 AM, Catalin Marinas wrote:
> >>> On Wed, Dec 06, 2017 at 12:35:19PM +0000, Will Deacon wrote:
> >>>> Patches are also pushed here:
> >>>>
> >>>>   git://git.kernel.org/pub/scm/linux/kernel/git/will/linux.git kpti
> >>>>
> >>>> Feedback and testing welcome. At this point, I'd like to start thinking
> >>>> about getting this merged for 4.16.
> >>>
> >>> For the record, the fixed up version was pushed by Will here:
> >>>
> >>> git://git.kernel.org/pub/scm/linux/kernel/git/arm64/linux.git kpti
> >>>
> >>> and I queued it for 4.16 in the arm64 for-next/core branch (same tree as
> >>> above).
> >>
> >> Greg proposed the x86/KPTI patches for the stable-4.9.75 queue, is there
> >> a plan to get the ARM64/KPTI patches backported towards stable trees as
> >> well?
> > 
> > Stable tree patches have to get into Linus's tree first before I can do
> > anything :)
> > 
> > Anyway, once that happens, yes, there is a plan, but it's a bit
> > "different", and I'll talk about it once these are merged.
> 
> Great, thanks! Bonus question, if someone is using any of the affected
> devices in AArch32, should we be expecting to see ARM/Linux changes as
> well, that is, is there a plan to come up with a kpti implementation for
> ARM?

I have not heard of anyone working on this for any arm32 platforms,
as of this time, sorry.

Which makes me worry about my android tv, glad I don't connect it to the
network :(

thanks,

greg k-h